#include <iostream>
using namespace std;
int main()
{
int base;
int esp=1;
int q=1; 

cout << "\nOBS.: Informe um numero impar positivo para ser a base de um triangulo.\n\n";
cout << "Informe a base do triangulo: "; 
cin >> base;

cout << "\n\n";

int var=(base-1)/2; 
int a=base;

for(int z=3; z<=a; z++)
{
a--;
} 

for (int x=1; x<=a ; x++)
{
for(int y=1; y<=var; y++)
{ 
cout << " ";
}
for(int w=1; w<=q; w++)
{
cout << "#";
}
cout << "\n"; 
q+=2;
var--; 

} 

cout << "\n\n"; 
system("pause");
return 0;
}

